Package org.apache.storm.trident.planner.processor

## Class AggregateProcessor

- java.lang.Object
- - org.apache.storm.trident.planner.processor.AggregateProcessor

- All Implemented Interfaces:
    `Serializable`, `TridentProcessor`, `TupleReceiver`

      public class AggregateProcessor
      extends Object
      implements TridentProcessor

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AggregateProcessor​(Fields inputFields, Aggregator agg)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanup()` |
    `void` | `execute​(ProcessorContext processorContext, String streamId, TridentTuple tuple)` |
    `void` | `finishBatch​(ProcessorContext processorContext)` |
    `void` | `flush()` |
    `TridentTuple.Factory` | `getOutputFactory()` |
    `void` | `prepare​(Map<String,​Object> conf, TopologyContext context, TridentContext tridentContext)` |
    `void` | `startBatch​(ProcessorContext processorContext)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateProcessor

          public AggregateProcessor​(Fields inputFields,
                                    Aggregator agg)

  - ### Method Detail

    - #### prepare

          public void prepare​(Map<String,​Object> conf,
                              TopologyContext context,
                              TridentContext tridentContext)

      Specified by:
        `prepare` in interface `TridentProcessor`

    - #### cleanup

          public void cleanup()

      Specified by:
        `cleanup` in interface `TridentProcessor`

    - #### startBatch

          public void startBatch​(ProcessorContext processorContext)

      Specified by:
        `startBatch` in interface `TridentProcessor`

    - #### execute

          public void execute​(ProcessorContext processorContext,
                              String streamId,
                              TridentTuple tuple)

      Specified by:
        `execute` in interface `TupleReceiver`

    - #### flush

          public void flush()

      Specified by:
        `flush` in interface `TupleReceiver`

    - #### finishBatch

          public void finishBatch​(ProcessorContext processorContext)

      Specified by:
        `finishBatch` in interface `TridentProcessor`

    - #### getOutputFactory

          public TridentTuple.Factory getOutputFactory()

      Specified by:
        `getOutputFactory` in interface `TridentProcessor`